---
title: ':disabled'
slug: 'Web/CSS/:disabled'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:disabled</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> represents any disabled element. An element is disabled if it can't be activated (selected, clicked on, typed into, etc.) or accept focus. The element also has an enabled state, in which it can be activated or accept focus.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any disabled &lt;input&gt; */
input:disabled {
  background: #ccc;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<p>This example shows a basic shipping form. It uses the <a href="/en-US/docs/Web/JavaScript">JavaScript</a> {{event("change")}} event to let the user enable/disable the billing fields.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;form action="#"&gt;
  &lt;fieldset id="shipping"&gt;
    &lt;legend&gt;Shipping address&lt;/legend&gt;
    &lt;input type="text" placeholder="Name"&gt;
    &lt;input type="text" placeholder="Address"&gt;
    &lt;input type="text" placeholder="Zip Code"&gt;
  &lt;/fieldset&gt;
  &lt;br&gt;
  &lt;fieldset id="billing"&gt;
    &lt;legend&gt;Billing address&lt;/legend&gt;
    &lt;label for="billing-checkbox"&gt;Same as shipping address:&lt;/label&gt;
    &lt;input type="checkbox" id="billing-checkbox" checked&gt;
    &lt;br&gt;
    &lt;input type="text" placeholder="Name" disabled&gt;
    &lt;input type="text" placeholder="Address" disabled&gt;
    &lt;input type="text" placeholder="Zip Code" disabled&gt;
  &lt;/fieldset&gt;
&lt;/form&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">input[type="text"]:disabled {
  background: #ccc;
}
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">// Wait for the page to finish loading
document.addEventListener('DOMContentLoaded', function () {
  // Attach `change` event listener to checkbox
  document.getElementById('billing-checkbox').onchange = toggleBilling;
}, false);

function toggleBilling() {
  // Select the billing text fields
  var billingItems = document.querySelectorAll('#billing input[type="text"]');

  // Toggle the billing text fields
  for (var i = 0; i &lt; billingItems.length; i++) {
    billingItems[i].disabled = !billingItems[i].disabled;
  }
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples', 300, 250)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#selector-disabled', ':disabled')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', '#selector-disabled', ':disabled')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Defines the semantics of HTML and forms.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#enableddisabled', ':disabled')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#enableddisabled', ':disabled')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Defines the pseudo-class, but not the associated semantics.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.disabled")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>
  <p>{{Cssxref(":enabled")}}</p>
 </li>
</ul>
